Package net.shibboleth.profile.relyingparty

# Class VerifiedProfileCriterion

java.lang.Object
net.shibboleth.profile.relyingparty.VerifiedProfileCriterion

All Implemented Interfaces:
  `Criterion`

public final class VerifiedProfileCriterion extends Object implements Criterion
`Criterion` indicating whether a relying party has been verified in a profile-specific fashion.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final boolean`
`verified`
Verified flag.

## Constructor Summary

Constructors
Constructor
Description
`VerifiedProfileCriterion(boolean flag)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`isVerified()`
Gets the profile request context.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### verified

private final boolean verified
Verified flag.

## Constructor Details

### VerifiedProfileCriterion

public VerifiedProfileCriterion(boolean flag)
Constructor.

Parameters:
  `flag` - flag to set

## Method Details

### isVerified

public boolean isVerified()
Gets the profile request context.

Returns:
  the profile request context

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`